#! /usr/bin/python
# -*- coding: utf-8 -*-
#
#
# ipaddress.py
#
# Copyright (C) 2011 Lorenzo Carbonell
# lorenzo.carbonell.cerezo@gmail.com
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#
#

import urllib2
import httplib
import string 

URL = '	http://api.ipinfodb.com/v3/ip-city/?key=733e433125b885b8a012efa5705389482ae77b0f63d8fa6055c67667c50c3895&ip=%s'


def get_ip():
	conn = httplib.HTTPConnection("checkip.dyndns.org")
	conn.request("GET","/index.html")
	r1 = conn.getresponse()
	conn.close()
	if r1.status == 200:
		data1 = r1.read()
	else:
		print 'Error connecting to the server!! Check your internet connection'
		exit()
	startstr = string.find(data1,': ')+2
	endstr = string.find(data1,'</b')
	return data1[startstr:endstr]


def get_lat_lng_from_ip(ext_ip = None):
	if ext_ip == None:
		ext_ip = get_ip()
	ans = urllib2.urlopen(URL%(ext_ip)).read().split(';')
	if ans[0] == 'OK':
		return float(ans[8]),float(ans[9])
	return 40,0

if __name__ == "__main__":	
	ip = get_ip()
	search = get_lat_lng_from_ip(ip)
	print ip, search
	exit(0)
